PORT-DEPS(1)

NAME
port-distcheck - Check if a port can be fetched from all of its mirrors

SYNOPSIS

port [-qvdy] [-D portdir] distcheck
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port distcheck downloads all source files for a given port from all available mirrors (including MacPorts' mirror infrastructure) and checks that the modification date of the file on the mirror is not more recent than the modification date of the Portfile.

Distcheck can be switched to verify the file size of the downloaded files instead by setting the distcheck.type option to filesize in the Portfile for the tested port.

BUGS

port distcheck should not rely on timestamps or file sizes but use the checksums available in the Portfile to verify the integrity of the files on the mirrors instead. See port-checksum(1).

Meanwhile, you can use port-checkmirrors[1] from contrib to do that.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), port-checksum(1)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>

EXTERNAL REFERENCES

1.  port-checkmirrors
    https://trac.macports.org/browser/contrib/port-checkmirrors